﻿using System;
using System.Collections.Generic;
using System.Text;

namespace DocIO_Test
{
    /// <summary>
    /// A document generated response data transfer object
    /// </summary>
    public class DocumentGeneratedResponseDTO
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="DocumentGeneratedResponseDTO" /> class.
        /// </summary>
        public DocumentGeneratedResponseDTO()
        {
        }
        /// <summary>
        /// The Generated Document
        /// </summary>
        public byte[] File { get; set; }

        /// <summary>
        /// The file text.
        /// </summary>
        public string FileText { get; set; }

        /// <summary>
        /// The document FileName
        /// </summary>
        public string FileName { get; set; }

        /// <summary>
        /// The ContentType
        /// </summary>
        public string ContentType { get; set; }

        /// <summary>
        /// The Attached Images
        /// </summary>
        public Dictionary<string, string> AttachedImages { get; set; }

    }
}
